Xerces-C++ 3.1.3

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Attributes | List of all members
XSMultiValueFacet Class Reference
Inheritance diagram for XSMultiValueFacet:

## Public Member Functions

Constructors
| XSMultiValueFacet (XSSimpleTypeDefinition::FACET facetKind, StringList *lexicalValues, bool isFixed, XSAnnotation *const headAnnot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~XSMultiValueFacet ()
XSMultiValueFacet methods
XSSimpleTypeDefinition::FACET | getFacetKind () const
StringList * | getLexicalFacetValues ()
bool | isFixed () const
| Check whether a facet value is fixed.
XSAnnotationList * | getAnnotations ()
Public Member Functions inherited from XSObject
| XSObject (XSConstants::COMPONENT_TYPE compType, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
virtual | ~XSObject ()
XSConstants::COMPONENT_TYPE | getType () const
| The `type` of this object, i.e.
virtual const XMLCh * | getName () const
| The name of type `NCName` of this declaration as defined in XML Namespaces.
virtual const XMLCh * | getNamespace ()
| The [target namespace] of this object, or `null` if it is unspecified.
virtual XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.
virtual XMLSize_t | getId () const
| Optional.
void | setId (XMLSize_t id)
| methods needed by implementation
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Protected Attributes

XSSimpleTypeDefinition::FACET | fFacetKind
bool | fIsFixed
StringList * | fLexicalValues
XSAnnotationList * | fXSAnnotationList
Protected Attributes inherited from XSObject
XSConstants::COMPONENT_TYPE | fComponentType
XSModel * | fXSModel
MemoryManager * | fMemoryManager
XMLSize_t | fId

## Additional Inherited Members

Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Constructor & Destructor Documentation

XSMultiValueFacet::XSMultiValueFacet | ( | XSSimpleTypeDefinition::FACET | facetKind,
|  | StringList * | lexicalValues,
|  | bool | isFixed,
|  | XSAnnotation *const | headAnnot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

The default constructor.

Parameters

  facetKind |
  lexicalValues |
  isFixed |
  headAnnot |
  xsModel |
  manager | The configurable memory manager

XSMultiValueFacet::~XSMultiValueFacet | ( |  | ) |

## Member Function Documentation

XSAnnotationList * XSMultiValueFacet::getAnnotations | ( |  | ) |

Returns
  the annotations belonging to this facet's values

References fXSAnnotationList.

XSSimpleTypeDefinition::FACET XSMultiValueFacet::getFacetKind | ( |  | ) | const

Returns
  An indication as to the facet's type; see `XSSimpleTypeDefinition::FACET`

References fFacetKind.

StringList * XSMultiValueFacet::getLexicalFacetValues | ( |  | ) |

Returns
  Returns the values of a constraining facet.

References fLexicalValues.

bool XSMultiValueFacet::isFixed | ( |  | ) | const

Check whether a facet value is fixed.

References fIsFixed.

## Member Data Documentation

XSSimpleTypeDefinition::FACET XSMultiValueFacet::fFacetKind

protected

Referenced by getFacetKind().

bool XSMultiValueFacet::fIsFixed

protected

Referenced by isFixed().

StringList* XSMultiValueFacet::fLexicalValues

protected

Referenced by getLexicalFacetValues().

XSAnnotationList* XSMultiValueFacet::fXSAnnotationList

protected

Referenced by getAnnotations().

The documentation for this class was generated from the following file:

- XSMultiValueFacet.hpp